MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::xml::Document Class Reference

`#include <MyGUI_XmlDocument.h>`

## Public Member Functions
| Document ()
| ~Document ()
bool | open (const std::string &_filename)
bool | open (const std::wstring &_filename)
bool | open (std::istream &_stream)
bool | open (const UString &_filename)
bool | open (IDataStream *_data)
bool | save (const std::string &_filename)
bool | save (const std::wstring &_filename)
bool | save (std::ostream &_stream)
bool | save (const UString &_filename)
void | clear ()
std::string | getLastError ()
void | clearLastError ()
ElementPtr | createDeclaration (const std::string &_version="1.0", const std::string &_encoding="UTF-8")
ElementPtr | createRoot (const std::string &_name)
ElementPtr | getRoot () const
ElementPtr | createInfo (const std::string &_version="1.0", const std::string &_encoding="UTF-8")

## Detailed Description

Definition at line 283 of file MyGUI_XmlDocument.h.

## Constructor & Destructor Documentation

MyGUI::xml::Document::Document | ( |  | ) |

Definition at line 385 of file MyGUI_XmlDocument.cpp.

MyGUI::xml::Document::~Document | ( |  | ) |

Definition at line 394 of file MyGUI_XmlDocument.cpp.

## Member Function Documentation

void MyGUI::xml::Document::clear | ( |  | ) |

Definition at line 561 of file MyGUI_XmlDocument.cpp.

void MyGUI::xml::Document::clearLastError | ( |  | ) |

Definition at line 942 of file MyGUI_XmlDocument.cpp.

ElementPtr MyGUI::xml::Document::createDeclaration | ( | const std::string & | _version = `"1.0"`,
|  | const std::string & | _encoding = `"UTF-8"`
| ) |  |

Definition at line 853 of file MyGUI_XmlDocument.cpp.

ElementPtr MyGUI::xml::Document::createInfo | ( | const std::string & | _version = `"1.0"`,
|  | const std::string & | _encoding = `"UTF-8"`
| ) |  |
| inline

Deprecated:
  "use : ElementPtr Document::createDeclaration(const std::string& _version, const std::string& _encoding)"

Definition at line 327 of file MyGUI_XmlDocument.h.

ElementPtr MyGUI::xml::Document::createRoot | ( | const std::string & | _name | ) |

Definition at line 862 of file MyGUI_XmlDocument.cpp.

std::string MyGUI::xml::Document::getLastError | ( |  | ) |

Definition at line 924 of file MyGUI_XmlDocument.cpp.

ElementPtr MyGUI::xml::Document::getRoot | ( |  | ) | const

Definition at line 947 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::open | ( | const std::string & | _filename | ) |

Definition at line 400 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::open | ( | const std::wstring & | _filename | ) |

Definition at line 419 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::open | ( | std::istream & | _stream | ) |

Definition at line 437 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::open | ( | const UString & | _filename | ) |

Definition at line 932 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::open | ( | IDataStream * | _data | ) |

Definition at line 496 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::save | ( | const std::string & | _filename | ) |

Definition at line 448 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::save | ( | const std::wstring & | _filename | ) |

Definition at line 472 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::save | ( | std::ostream & | _stream | ) |

Definition at line 541 of file MyGUI_XmlDocument.cpp.

bool MyGUI::xml::Document::save | ( | const UString & | _filename | ) |

Definition at line 937 of file MyGUI_XmlDocument.cpp.

The documentation for this class was generated from the following files:

- MyGUI_XmlDocument.h
- MyGUI_XmlDocument.cpp